window.Gleam.initSearch([{"doc":"weapp","title":"weapp","content":"# weapp\n\ngleam bindings for wechat miniprogram, a.k.a weapp.\n\na project template and working demo which uses this package\ncan be found at [wechat_dev_tools](https://github.com/kaiwu/wechat_dev_tools)\n\n## Installation\n\nAdd the package to your gleam project\n\n```sh\ngleam add wechat\n```\n\n## Features\n\nThis library contains bindings for many frequently used wechat APIs. Gleam makes it\nsuper easy to extend as many as one needs\n\n- wx.request\n- wx.requestPayment\n- wx.login\n- wx.setStorage\n- wx.saveFile\n- wx.openDocument\n\n","url":"index.html"},{"doc":"wechat/object","title":"JsObject","content":"pub type JsObject {\n  JsObject\n}\n JsObject models a javascript object\n\nJsObject\n\n\nSynonyms:\nwechat/object.JsObject\nwechat/object JsObject","url":"wechat/object.html#JsObject"},{"doc":"wechat/object","title":"WechatCallback","content":"pub type WechatCallback =\n  fn() -&gt; Nil\n most simple callbacks are of this type\n\n\nSynonyms:\nwechat/object.WechatCallback\nwechat/object WechatCallback","url":"wechat/object.html#WechatCallback"},{"doc":"wechat/object","title":"WechatError","content":"pub type WechatError {\n  NilError(n: Nil)\n  WechatError(e: String)\n  WechatDecodeError(es: DecodeErrors)\n}\n error constructors\n\nNilError(n: Nil)\n\n\nWechatError(e: String)\n\n\nWechatDecodeError(es: DecodeErrors)\n\n\nSynonyms:\nwechat/object.WechatError\nwechat/object WechatError","url":"wechat/object.html#WechatError"},{"doc":"wechat/object","title":"WechatResult","content":"pub type WechatResult =\n  Result(JsObject, WechatError)\n most APIs returns either this\n or a Promise of this type\n\n\nSynonyms:\nwechat/object.WechatResult\nwechat/object WechatResult","url":"wechat/object.html#WechatResult"},{"doc":"wechat/object","title":"bool","content":"pub fn bool(o: JsObject) -&gt; Result(Bool, WechatError)\n convert to bool with `gleam/dynamic`\n\nSynonyms:\nwechat/object.bool\nwechat/object bool","url":"wechat/object.html#bool"},{"doc":"wechat/object","title":"call","content":"pub fn call(o: JsObject, v: a) -&gt; Result(JsObject, WechatError)\n execute synchronously with prameter `v` if this object is a function\n\nSynonyms:\nwechat/object.call\nwechat/object call","url":"wechat/object.html#call"},{"doc":"wechat/object","title":"dict","content":"pub fn dict(o: JsObject) -&gt; Dict(String, JsObject)\n convert to `gleam/dict`\n\nSynonyms:\nwechat/object.dict\nwechat/object dict","url":"wechat/object.html#dict"},{"doc":"wechat/object","title":"dynamic","content":"pub fn dynamic(o: JsObject) -&gt; Dynamic\n convert to `gleam/dynamic`\n\nSynonyms:\nwechat/object.dynamic\nwechat/object dynamic","url":"wechat/object.html#dynamic"},{"doc":"wechat/object","title":"exist","content":"pub fn exist(o: JsObject, k: a) -&gt; Bool\n check if a key `k` exists\n\nSynonyms:\nwechat/object.exist\nwechat/object exist","url":"wechat/object.html#exist"},{"doc":"wechat/object","title":"field","content":"pub fn field(\n  o: JsObject,\n  name a: a,\n  of b: fn(Dynamic) -&gt; Result(b, List(DecodeError)),\n) -&gt; Result(b, WechatError)\n retrieve and convert a sub object with key `a` of type `t`\n using the decoder of type `Decoder(t)`, thanks to `gleam/dynamic`\n\nSynonyms:\nwechat/object.field\nwechat/object field","url":"wechat/object.html#field"},{"doc":"wechat/object","title":"float","content":"pub fn float(o: JsObject) -&gt; Result(Float, WechatError)\n convert to float with `gleam/dynamic`\n\nSynonyms:\nwechat/object.float\nwechat/object float","url":"wechat/object.html#float"},{"doc":"wechat/object","title":"get","content":"pub fn get(o: JsObject, k: a) -&gt; Result(JsObject, WechatError)\n alias for `path`\n\nSynonyms:\nwechat/object.get\nwechat/object get","url":"wechat/object.html#get"},{"doc":"wechat/object","title":"get_kv","content":"pub fn get_kv(\n  o: JsObject,\n  key k: String,\n) -&gt; Result(JsObject, WechatError)\n retrive a sub javascript object by key `k`\n as if it were a `dict(String, JsObject)`\n\nSynonyms:\nwechat/object.get_kv\nwechat/object get_kv","url":"wechat/object.html#get_kv"},{"doc":"wechat/object","title":"int","content":"pub fn int(o: JsObject) -&gt; Result(Int, WechatError)\n convert to int with `gleam/dynamic`\n\nSynonyms:\nwechat/object.int\nwechat/object int","url":"wechat/object.html#int"},{"doc":"wechat/object","title":"json","content":"pub fn json(o: JsObject) -&gt; Json\n convert to `gleam/json`\n\nSynonyms:\nwechat/object.json\nwechat/object json","url":"wechat/object.html#json"},{"doc":"wechat/object","title":"list","content":"pub fn list(\n  o: JsObject,\n  of f: fn(Dynamic) -&gt; Result(a, List(DecodeError)),\n) -&gt; Result(List(a), WechatError)\n convert to `list(t)` with `gleam/dynamic`\n\nSynonyms:\nwechat/object.list\nwechat/object list","url":"wechat/object.html#list"},{"doc":"wechat/object","title":"literal","content":"pub fn literal(ls: List(#(a, b))) -&gt; JsObject\n convenient constructor if the `(k, v)` pairs are of same type\n since gleam is strongly typed\n\nSynonyms:\nwechat/object.literal\nwechat/object literal","url":"wechat/object.html#literal"},{"doc":"wechat/object","title":"merge","content":"pub fn merge(o: JsObject, n: JsObject) -&gt; JsObject\n merge two javascript objects\n\nSynonyms:\nwechat/object.merge\nwechat/object merge","url":"wechat/object.html#merge"},{"doc":"wechat/object","title":"new","content":"pub fn new() -&gt; JsObject\n constructor of an empty javascript object\n\nSynonyms:\nwechat/object.new\nwechat/object new","url":"wechat/object.html#new"},{"doc":"wechat/object","title":"path","content":"pub fn path(o: JsObject, k: a) -&gt; Result(JsObject, WechatError)\n retrieve a sub javascript object by key `k`\n\nSynonyms:\nwechat/object.path\nwechat/object path","url":"wechat/object.html#path"},{"doc":"wechat/object","title":"paths","content":"pub fn paths(\n  o: JsObject,\n  path p: String,\n) -&gt; Result(JsObject, WechatError)\n retrive recursively the sub javascript object by path\n\n # Examples\n\n \n let f = fn(x) { x + 1 }\n let b = object.literal([#(&quot;a&quot;, f)])\n object.literal([#(&quot;b&quot;, b)])\n |&gt; object.paths(&quot;b.a&quot;)\n |&gt; result.map(type_of)\n |&gt; should.equal(Ok(javascript.FunctionType))\n \n\nSynonyms:\nwechat/object.paths\nwechat/object paths","url":"wechat/object.html#paths"},{"doc":"wechat/object","title":"set","content":"pub fn set(o: JsObject, k: a, v: b) -&gt; JsObject\n set a key `k` with value `v`\n\n # Examples\n\n \n object.new()\n |&gt; object.set(&quot;a&quot;, 1)\n |&gt; object.get(&quot;a&quot;)\n |&gt; result.try(object.int)\n |&gt; should.equal(Ok(1))\n \n\nSynonyms:\nwechat/object.set\nwechat/object set","url":"wechat/object.html#set"},{"doc":"wechat/object","title":"string","content":"pub fn string(o: JsObject) -&gt; Result(String, WechatError)\n convert to string with `gleam/dynamic`\n\nSynonyms:\nwechat/object.string\nwechat/object string","url":"wechat/object.html#string"},{"doc":"wechat/object","title":"stringify","content":"pub fn stringify(o: JsObject) -&gt; String\n `JSON.stringify` for the javascript object\n\nSynonyms:\nwechat/object.stringify\nwechat/object stringify","url":"wechat/object.html#stringify"},{"doc":"wechat/object","title":"wechat/object","content":" object module provides core javascript object model\n it is like a `gleam/json` object with functions\n\n # Examples\n\n ```gleam\n object.literal([#(&quot;s&quot;, &quot;a string&quot;), #(&quot;ss&quot;, &quot;another string&quot;)])\n |&gt; object.set(&quot;i&quot;, 42)\n |&gt; object.set(&quot;f&quot;, fn(i) { i + 1 })\n ```\n\n is exactly like\n\n ```js\n {\n   s: &#39;a string&#39;,\n   ss: &#39;another string&#39;,\n   i: 42,\n   f(i) { i + 1 }\n }\n ```\n","url":"wechat/object.html"},{"doc":"wechat/app","title":"clear_interval","content":"pub fn clear_interval(id id: Int) -&gt; Nil\n global function `clearInterval(...)`\n\nSynonyms:\nwechat/app.clear_interval\nwechat/app clear_interval","url":"wechat/app.html#clear_interval"},{"doc":"wechat/app","title":"clear_timeout","content":"pub fn clear_timeout(id id: Int) -&gt; Nil\n global function `clearTimeout(...)`\n\nSynonyms:\nwechat/app.clear_timeout\nwechat/app clear_timeout","url":"wechat/app.html#clear_timeout"},{"doc":"wechat/app","title":"decode_uri_component","content":"pub fn decode_uri_component(uri: String) -&gt; JsObject\n global function `decodeURIComponent`\n\nSynonyms:\nwechat/app.decode_uri_component\nwechat/app decode_uri_component","url":"wechat/app.html#decode_uri_component"},{"doc":"wechat/app","title":"get_app","content":"pub fn get_app() -&gt; JsObject\n global function `getApp()`\n\nSynonyms:\nwechat/app.get_app\nwechat/app get_app","url":"wechat/app.html#get_app"},{"doc":"wechat/app","title":"run_app","content":"pub fn run_app(o: JsObject) -&gt; Nil\n app constructor `App({...})`\n the main entry point for miniprogram\n\nSynonyms:\nwechat/app.run_app\nwechat/app run_app","url":"wechat/app.html#run_app"},{"doc":"wechat/app","title":"set_interval","content":"pub fn set_interval(\n  callback cb: fn(JsObject) -&gt; Nil,\n  delay d: Int,\n  with o: JsObject,\n) -&gt; Int\n global function `setInterval(...)`\n\nSynonyms:\nwechat/app.set_interval\nwechat/app set_interval","url":"wechat/app.html#set_interval"},{"doc":"wechat/app","title":"set_timeout","content":"pub fn set_timeout(\n  callback cb: fn(JsObject) -&gt; Nil,\n  delay d: Int,\n  with o: JsObject,\n) -&gt; Int\n global function `setTimeout(...)`\n\nSynonyms:\nwechat/app.set_timeout\nwechat/app set_timeout","url":"wechat/app.html#set_timeout"},{"doc":"wechat/app","title":"wechat/app","content":" app module provides miniprogram `app` bindings\n it also includes a few global utility functions\n details in [wechat document](https://developers.weixin.qq.com/miniprogram/en/dev/framework/)\n","url":"wechat/app.html"},{"doc":"wechat/base","title":"Date","content":"pub type Date\n javascript Date object\n\n\nSynonyms:\nwechat/base.Date\nwechat/base Date","url":"wechat/base.html#Date"},{"doc":"wechat/base","title":"check_session","content":"pub fn check_session(\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.checkSession`\n\nSynonyms:\nwechat/base.check_session\nwechat/base check_session","url":"wechat/base.html#check_session"},{"doc":"wechat/base","title":"get_privacy_contract","content":"pub fn get_privacy_contract(\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.getPrivacyContract`\n\nSynonyms:\nwechat/base.get_privacy_contract\nwechat/base get_privacy_contract","url":"wechat/base.html#get_privacy_contract"},{"doc":"wechat/base","title":"get_privacy_setting","content":"pub fn get_privacy_setting(\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.getPrivacySetting`\n\nSynonyms:\nwechat/base.get_privacy_setting\nwechat/base get_privacy_setting","url":"wechat/base.html#get_privacy_setting"},{"doc":"wechat/base","title":"get_setting","content":"pub fn get_setting(\n  subscriptions s: Bool,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.getSetting`\n\nSynonyms:\nwechat/base.get_setting\nwechat/base get_setting","url":"wechat/base.html#get_setting"},{"doc":"wechat/base","title":"get_storage","content":"pub fn get_storage(\n  key k: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.getStorage`\n\nSynonyms:\nwechat/base.get_storage\nwechat/base get_storage","url":"wechat/base.html#get_storage"},{"doc":"wechat/base","title":"get_system_info","content":"pub fn get_system_info(\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.getSystemInfo`\n\nSynonyms:\nwechat/base.get_system_info\nwechat/base get_system_info","url":"wechat/base.html#get_system_info"},{"doc":"wechat/base","title":"hide_loading","content":"pub fn hide_loading(\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.hideLoading`\n\nSynonyms:\nwechat/base.hide_loading\nwechat/base hide_loading","url":"wechat/base.html#hide_loading"},{"doc":"wechat/base","title":"hide_tabbar","content":"pub fn hide_tabbar(\n  animation a: Bool,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.hideTabbar`\n\nSynonyms:\nwechat/base.hide_tabbar\nwechat/base hide_tabbar","url":"wechat/base.html#hide_tabbar"},{"doc":"wechat/base","title":"login","content":"pub fn login(\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.login`\n\nSynonyms:\nwechat/base.login\nwechat/base login","url":"wechat/base.html#login"},{"doc":"wechat/base","title":"navigate_back","content":"pub fn navigate_back(\n  by delta: Int,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.navigateBack`\n\nSynonyms:\nwechat/base.navigate_back\nwechat/base navigate_back","url":"wechat/base.html#navigate_back"},{"doc":"wechat/base","title":"navigate_to","content":"pub fn navigate_to(\n  to url: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.navigateTo`\n\nSynonyms:\nwechat/base.navigate_to\nwechat/base navigate_to","url":"wechat/base.html#navigate_to"},{"doc":"wechat/base","title":"now","content":"pub fn now() -&gt; Date\n get timestamp of `Date`\n\nSynonyms:\nwechat/base.now\nwechat/base now","url":"wechat/base.html#now"},{"doc":"wechat/base","title":"open_document","content":"pub fn open_document(\n  path p: String,\n  of t: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.openDocument`\n\nSynonyms:\nwechat/base.open_document\nwechat/base open_document","url":"wechat/base.html#open_document"},{"doc":"wechat/base","title":"relaunch","content":"pub fn relaunch(\n  to url: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.reLaunch`\n\nSynonyms:\nwechat/base.relaunch\nwechat/base relaunch","url":"wechat/base.html#relaunch"},{"doc":"wechat/base","title":"remove_storage","content":"pub fn remove_storage(\n  key k: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.removeStorage`\n\nSynonyms:\nwechat/base.remove_storage\nwechat/base remove_storage","url":"wechat/base.html#remove_storage"},{"doc":"wechat/base","title":"request","content":"pub fn request(\n  method m: String,\n  url u: String,\n  header h: JsObject,\n  data d: JsObject,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.request`\n\nSynonyms:\nwechat/base.request\nwechat/base request","url":"wechat/base.html#request"},{"doc":"wechat/base","title":"request_payment","content":"pub fn request_payment(\n  time_stamp t: String,\n  nonce_str n: String,\n  pkg p: String,\n  sign_type s: String,\n  pay_sign ps: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.requestPayment`\n\nSynonyms:\nwechat/base.request_payment\nwechat/base request_payment","url":"wechat/base.html#request_payment"},{"doc":"wechat/base","title":"save_file","content":"pub fn save_file(\n  path p: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.saveFile`\n\nSynonyms:\nwechat/base.save_file\nwechat/base save_file","url":"wechat/base.html#save_file"},{"doc":"wechat/base","title":"set_clipboard","content":"pub fn set_clipboard(\n  data d: JsObject,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.setClipboardData`\n\nSynonyms:\nwechat/base.set_clipboard\nwechat/base set_clipboard","url":"wechat/base.html#set_clipboard"},{"doc":"wechat/base","title":"set_navigation_bar","content":"pub fn set_navigation_bar(\n  title t: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.setNavigationBarTitle`\n\nSynonyms:\nwechat/base.set_navigation_bar\nwechat/base set_navigation_bar","url":"wechat/base.html#set_navigation_bar"},{"doc":"wechat/base","title":"set_storage","content":"pub fn set_storage(\n  key k: String,\n  value v: JsObject,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.setStorage`\n\nSynonyms:\nwechat/base.set_storage\nwechat/base set_storage","url":"wechat/base.html#set_storage"},{"doc":"wechat/base","title":"show_loading","content":"pub fn show_loading(\n  title t: String,\n  mask m: Bool,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.showLoading`\n\nSynonyms:\nwechat/base.show_loading\nwechat/base show_loading","url":"wechat/base.html#show_loading"},{"doc":"wechat/base","title":"show_tabbar","content":"pub fn show_tabbar(\n  animation a: Bool,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.showTabbar`\n\nSynonyms:\nwechat/base.show_tabbar\nwechat/base show_tabbar","url":"wechat/base.html#show_tabbar"},{"doc":"wechat/base","title":"show_toast","content":"pub fn show_toast(\n  title t: String,\n  icon i: String,\n  mask m: Bool,\n  duration d: Int,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.showToast`\n\nSynonyms:\nwechat/base.show_toast\nwechat/base show_toast","url":"wechat/base.html#show_toast"},{"doc":"wechat/base","title":"switch_tab","content":"pub fn switch_tab(\n  to url: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.switchTab`\n\nSynonyms:\nwechat/base.switch_tab\nwechat/base switch_tab","url":"wechat/base.html#switch_tab"},{"doc":"wechat/base","title":"to_payment","content":"pub fn to_payment(p: String) -&gt; Int\n utility function convert string to wechat payment\n\n # Examples\n \n \n &gt; to_payment(&quot;2.9&quot;)\n 290\n\n &gt; to_payment(&quot;129.013&quot;)\n 12901\n \nSynonyms:\nwechat/base.to_payment\nwechat/base to_payment","url":"wechat/base.html#to_payment"},{"doc":"wechat/base","title":"upload_file","content":"pub fn upload_file(\n  to url: String,\n  path p: String,\n  header h: JsObject,\n  form f: JsObject,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.uploadFile`\n\nSynonyms:\nwechat/base.upload_file\nwechat/base upload_file","url":"wechat/base.html#upload_file"},{"doc":"wechat/base","title":"vibrate_short","content":"pub fn vibrate_short(\n  of t: String,\n  complete cb: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n `wx.vibrateShort`\n\nSynonyms:\nwechat/base.vibrate_short\nwechat/base vibrate_short","url":"wechat/base.html#vibrate_short"},{"doc":"wechat/base","title":"ymd","content":"pub fn ymd(d: Date) -&gt; Promise(Result(JsObject, WechatError))\n utility function to convert `Date` to local YYYY-MM-DD\n asynchronous, a test is written as showcase\n\nSynonyms:\nwechat/base.ymd\nwechat/base ymd","url":"wechat/base.html#ymd"},{"doc":"wechat/base","title":"wechat/base","content":" base module provides frequently used miniprogram APIs\n extend them as much as one needs, all wechat bindings\n are asynchronous and returns a Promise\n","url":"wechat/base.html"},{"doc":"wechat/component","title":"SelectorQuery","content":"pub type SelectorQuery\n SelectorQuery type\n\n\nSynonyms:\nwechat/component.SelectorQuery\nwechat/component SelectorQuery","url":"wechat/component.html#SelectorQuery"},{"doc":"wechat/component","title":"run_component","content":"pub fn run_component(o: JsObject) -&gt; Nil\n component constructor `Component({...})`\n\nSynonyms:\nwechat/component.run_component\nwechat/component run_component","url":"wechat/component.html#run_component"},{"doc":"wechat/component","title":"select_component","content":"pub fn select_component(\n  component c: JsObject,\n  selector s: String,\n) -&gt; JsObject\n `component.selectComponent()` for the specified component\n \nSynonyms:\nwechat/component.select_component\nwechat/component select_component","url":"wechat/component.html#select_component"},{"doc":"wechat/component","title":"wechat/component","content":" component module provides miniprogram `component` bindings\n details in [wechat document](https://developers.weixin.qq.com/miniprogram/en/dev/framework/)\n","url":"wechat/component.html"},{"doc":"wechat/page","title":"current_page","content":"pub fn current_page() -&gt; JsObject\n get the current page\n\nSynonyms:\nwechat/page.current_page\nwechat/page current_page","url":"wechat/page.html#current_page"},{"doc":"wechat/page","title":"get_current_pages","content":"pub fn get_current_pages() -&gt; Array(JsObject)\n global function `getCurrentPages()`\n\nSynonyms:\nwechat/page.get_current_pages\nwechat/page get_current_pages","url":"wechat/page.html#get_current_pages"},{"doc":"wechat/page","title":"get_data","content":"pub fn get_data(index: Int) -&gt; Result(JsObject, WechatError)\n get `data` of render layer for the current page\n\nSynonyms:\nwechat/page.get_data\nwechat/page get_data","url":"wechat/page.html#get_data"},{"doc":"wechat/page","title":"route","content":"pub fn route(page p: JsObject) -&gt; String\n page utility function `page.route()`\n\nSynonyms:\nwechat/page.route\nwechat/page route","url":"wechat/page.html#route"},{"doc":"wechat/page","title":"run_page","content":"pub fn run_page(o: JsObject) -&gt; Nil\n page constructor `Page({...})`\n \nSynonyms:\nwechat/page.run_page\nwechat/page run_page","url":"wechat/page.html#run_page"},{"doc":"wechat/page","title":"select_component","content":"pub fn select_component(\n  page p: JsObject,\n  component c: String,\n) -&gt; JsObject\n `page.selectComponent()` for the specified page\n\nSynonyms:\nwechat/page.select_component\nwechat/page select_component","url":"wechat/page.html#select_component"},{"doc":"wechat/page","title":"set_data","content":"pub fn set_data(\n  page p: JsObject,\n  data d: JsObject,\n  callback f: fn() -&gt; Nil,\n) -&gt; Promise(Result(JsObject, WechatError))\n set `data` of render layer for the specified page\n aysnc, returns Promise\n\nSynonyms:\nwechat/page.set_data\nwechat/page set_data","url":"wechat/page.html#set_data"},{"doc":"wechat/page","title":"wechat/page","content":" page module provides miniprogram `page` bindings\n details in [wechat document](https://developers.weixin.qq.com/miniprogram/en/dev/framework/)\n","url":"wechat/page.html"}]);